# frozen_string_literal: true

Facter.add(:db_instances_cachecheck) do
  # confine kernel: [ 'Linux', 'AIX' ]
  setcode do
    # Facter::Core::Execution.execute('ls -l  `sudo /opt/puppetlabs/bin/puppet config print vardir`/facter_cache/*instances*')
    statdata = Dir["#{Puppet.settings[:vardir]}/facter_cache/*instances*"].select { |e| File.file? e }.each_with_object({}) do |fname, m|
      m[fname] = {}
      m[fname]['creationtime'] = File.stat(fname).ctime.to_s
      m[fname]['modificationtime'] = File.stat(fname).mtime.to_s
      m[fname]['accesstime'] = File.stat(fname).atime.to_s
      m[fname]['size'] = File.stat(fname).size
      m
    end
    time1 = Time.new
    statdata['now'] = time1.inspect
    statdata
  end
end
